function [m]=car_data2()

m.g=9.81;           % gravity constant [m/s2]
m.a=1.1907;         % distance front axle to centre of gravity [m]
m.l=2.88;           % wheelbase [m]
m.mass=1971.8;      % vehicle mass [kg]
m.Iz  =3550;        % yaw moment of inertia [kgm2]
m.Cfa1= 93000;      % front tyre cornering stiffness [N/rad]
m.Cfa2=137000;      % rear tyre cornering stiffness [N/rad]
m.is=17.0;          % steering ratio [-]

m.sigma1=0.57;      % front tyre relaxation length [m]
m.sigma2=0.97;      % rear tyre relaxation length [m]

Fz=m.mass*m.g;
Fz2=m.a/m.l*Fz;
Fz1=Fz-Fz2;

m.cfa1=m.Cfa1/Fz1;  % normalised front tyre cornering stiffness [1/rad]
m.cfa2=m.Cfa2/Fz2;  % normalised rear tyre cornering stiffness [1/rad]

m.mu1=0.85;         % front tyre friction coefficient [-]
m.C1 =1.3;          % front tyre Magic Formula C coefficient [-]
m.E1 =-1;           % front tyre Magic Formula E coefficient [-]

m.mu2=0.97;         % rear tyre friction coefficient [-]
m.C2 =1.3;          % rear tyre Magic Formula C coefficient [-]
m.E2 =0;            % rear tyre Magic Formula E coefficient [-]

return
