function [sys_car]=car_state_space(m,V)
% bicycle state space model 

b  =m.l-m.a;

A= -[ (m.Cfa1+m.Cfa2)/(m.mass*V)           V+(m.a*m.Cfa1-b*m.Cfa2)/(m.mass*V);
      (m.a*m.Cfa1-b*m.Cfa2)/(m.Iz*V)       (m.a^2*m.Cfa1+b^2*m.Cfa2)/(m.Iz*V) ];

B=  [ m.Cfa1/m.mass ; m.a*m.Cfa1/m.Iz ]*1/m.is;

C= -[ (m.Cfa1+m.Cfa2)/(m.mass*V) (m.a*m.Cfa1-b*m.Cfa2)/(m.mass*V);  % ay
      0                           -1;                               % r
      1/V                          0;                               % beta
      1/V                         m.a/V;                            % slipangle front
      1/V                          -b/V                          ]; % slipangle rear
   
D= [m.Cfa1/(m.mass);   0;   0;   1;   0]*1/m.is;

sys_car = ss(A,B,C,D);

return