function [sys_car]=car_state_space2(m,V)
% bicycle state space model including relaxation length

b  =m.l-m.a;

A=[ 0          -V             m.Cfa1/m.mass    m.Cfa2/m.mass;
    0           0             m.a*m.Cfa1/m.Iz -b*m.Cfa2/m.Iz;
   -1/m.sigma1 -m.a/m.sigma1 -V/m.sigma1       0;
   -1/m.sigma2  b/m.sigma2    0               -V/m.sigma2];

B=[ 0; 0; (1/m.is)*V/m.sigma1; 0];

C=[ 0     0   m.Cfa1/m.mass  m.Cfa2/m.mass; % ay
    0     1   0              0;             % r
   -1/V   0   0              0;             % beta
    0     0   1              0;             % slipangle front
    0     0   0              1];            % slipangle rear
   
D=[0;   0;   0;   0;   0];

sys_car = ss(A,B,C,D);

return