function [ay_gain, yaw_gain, beta_gain, eta, Vc]=car_steady_state(m,V)
% function to calculate characteristics values of the bicycle model as a
% function of forward velocity V

b  =m.l-m.a;
Fz1=m.mass*m.g*b/m.l;
Fz2=m.mass*m.g*m.a/m.l;
eta=Fz1/m.Cfa1-Fz2/m.Cfa2;

if (eta==0)
  Vc=Inf;
else
  Vc=sqrt(m.g*m.l/abs(eta));
end

yaw_gain  =  (V/m.l)./(1+eta*V.*V/(m.g*m.l))*(1/m.is);
ay_gain   =  ((V.*V)/m.l)./(1+eta*V.*V/(m.g*m.l))*(1/m.is);
beta_gain = -(b/m.l)*(1-(m.a*m.mass*V.*V)/(b*m.Cfa2*m.l))./(1+eta*V.*V/(m.g*m.l))*(1/m.is); 

return