clear all

ci=load('ci_measdata');

plot(ci.V_left*3.6,ci.ds_left*180/pi,'s:',ci.V_right*3.6,-ci.ds_right*180/pi,'d:')
axis([0 100 0 100]);
grid
xlabel('forward velocity [km/h]')
ylabel('steering wheel angle \delta_s [deg.]')
legend('left turn','right turn',2)
print -dpdf plot_ci_datacheck_ds_fig219


figure
orient tall
subplot(3,1,1)
plot(ci.V_left*3.6,ci.ay_left,'s:',ci.V_right*3.6,-ci.ay_right,'d:')
axis([0 100 0 8]);
grid
ylabel('lateral acceleration [m/s2]')
subplot(3,1,2)
plot(ci.V_left*3.6,ci.r_left*180/pi,'s:',ci.V_right*3.6,-ci.r_right*180/pi,'d:')
axis([0 100 0 20]);
grid
ylabel('yaw velocity [deg/s]')
subplot(3,1,3)
plot(ci.V_left*3.6,ci.V_left./ci.r_left,'s:',...
     ci.V_right*3.6,-ci.V_right./ci.r_right,'d:',...
     ci.V_left*3.6,ci.V_left.^2./ci.ay_left,'*:',...
     ci.V_right*3.6,-ci.V_right.^2./ci.ay_right,'o:')
legend('left turn (V/r)','right turn (V/r)','left turn (V^2/ay)','right turn (V^2/ay)',3)
axis([0 100 80 110])
grid
xlabel('forward velocity [km/h]')
ylabel('calculated circle radius [m]')
print -dpdf plot_ci_datacheck_radius_fig220
