clear all

m=car_data1;

V_range=[0.01:1:60.01];

fre_Vrange=[];
dem_Vrange=[];

for i=1:length(V_range)
  V=V_range(i);
  sys_car=car_state_space1(m,V);
  ew=eig(sys_car.a);
  fre_Vrange(i)= abs(imag(ew(1,1)))/(2*pi);
  dem_Vrange(i)= -real(ew(1,1))*100./norm(ew(1,1));    
end

subplot(2,1,1)
plot(V_range,fre_Vrange)
xlabel('forward velocity [m/s]')
ylabel('natural frequency [Hz]')
axis([0 60 0 0.5])
grid


subplot(2,1,2)
plot(V_range,dem_Vrange)
xlabel('forward velocity [m/s]')
ylabel('damping [%]')
axis([0 60 0 100])
grid

print -dpdf plot_eigenvalues_fig210