clear all

m=car_data2;
jt=load('jt_measdata');

Vmean=mean([jt.vx_left; jt.vx_right]);
sys_car1=car_state_space1(m,Vmean);
sys_car2=car_state_space2(m,Vmean);

time=[0:0.01:3.5];
u1=interp1(jt.time_left,jt.ds_left,time);
u2=interp1(jt.time_right,-jt.ds_right,time);
ds_model=(u1+u2)/2;

y1=lsim(sys_car1,ds_model,time);
y2=lsim(sys_car2,ds_model,time);
time_shift=1;

orient tall
subplot(3,1,1)
plot(jt.time_left-time_shift,jt.ds_left/m.is*180/pi,':',...
     jt.time_right-time_shift,-jt.ds_right/m.is*180/pi,':',...
     time-time_shift,ds_model/m.is*180/pi,'-')
axis([0 2 -1 3])
grid
xlabel('time [s]')
ylabel('steer angle \delta [deg.]')

subplot(3,1,2)
plot(jt.time_left-time_shift,jt.ay_left,':',...
     jt.time_right-time_shift,-jt.ay_right,':',...
     time-time_shift,y1(:,1),'--',...
     time-time_shift,y2(:,1),'-')
axis([0 2 -2 6])
grid
xlabel('time [s]')
ylabel('lateral acc. [m/s2]')
legend('left turn','right turn','model','model+relax.',4)

subplot(3,1,3)
plot(jt.time_left-time_shift,jt.r_left*180/pi,':',...
     jt.time_right-time_shift,-jt.r_right*180/pi,':',...
     time-time_shift,y1(:,2)*180/pi,'--',...
     time-time_shift,y2(:,2)*180/pi,'-')
axis([0 2 -2 12])
grid
xlabel('time [s]')
ylabel('yaw velocity [deg/s]')

print -dpdf plot_jt_model_fig238
