clear all

m=car_data2;

pr=load('pr_measdata_freq');

sys_car =car_state_space1(m,pr.Vmean);
[mag_model,phase_model]=bode(sys_car,pr.freq*2*pi);

orient tall
subplot(3,1,1)
loglog(pr.freq,abs(pr.T_ayds)*pi/180*m.is,'--',...
       pr.freq,squeeze(mag_model(1,1,:)*pi/180*m.is),'-')
axis([0.1 5 0.05 5])
grid
xlabel('frequency [Hz]')
ylabel('magnitude [m/s2 /deg.]')
title('lateral acceleration response to steer angle \delta')

subplot(3,1,2)
semilogx(pr.freq,angle(pr.T_ayds)*180/pi,'--',...
         pr.freq,squeeze(phase_model(1,1,:)),'-')
axis([0.1 5 -120 90])
grid
xlabel('frequency [Hz]')
ylabel('phase [deg.]')
legend('measurement','model',3)

subplot(3,1,3)
semilogx(pr.freq,pr.C_ayds,'--')
axis([0.1 5 0 1.1])
grid
xlabel('frequency [Hz]')
ylabel('coherence [-]')
print -dpdf plot_pr_model1_ay_fig226


figure
orient tall
subplot(3,1,1)
loglog(pr.freq,abs(pr.T_rds)*m.is,'--',...
       pr.freq,squeeze(mag_model(2,1,:)*m.is),'-')
axis([0.1 5 1 10])
grid
xlabel('frequency [Hz]')
ylabel('magnitude [1/s]')
title('yaw velocity response to steer angle \delta')

subplot(3,1,2)
semilogx(pr.freq,angle(pr.T_rds)*180/pi,'--',...
         pr.freq,squeeze(phase_model(2,1,:)),'-')
axis([0.1 5 -135 45])
grid
xlabel('frequency [Hz]')
ylabel('phase [deg.]')
legend('measurement','model',3)

subplot(3,1,3)
semilogx(pr.freq,pr.C_rds,'--')
axis([0.1 5 0 1.1])
grid
xlabel('frequency [Hz]')
ylabel('coherence [-]')

print -dpdf plot_pr_model1_yaw_fig226
