clear all

tmin=-0.5;
tmax= 5;
t=[0:tmax/100:tmax];

m=car_data1;

sys_car20=car_state_space1(m,60);
sys_car40=car_state_space1(m,40);
sys_car60=car_state_space1(m,20);
sys_car03=car_state_space1(m,3);

[y20,time]=step(sys_car20,t);
y20=y20*pi/180;

[y40,time]=step(sys_car40,t);
y40=y40*pi/180;

[y60,time]=step(sys_car60,t);
y60=y60*pi/180;

[y03,time]=step(sys_car03,t);
y03=y03*pi/180;

time=[tmin ;-1e-5 ; time];
y03 = [0*y03(1,:);0*y03(1,:); y03];
y20 = [0*y20(1,:);0*y20(1,:); y20];
y40 = [0*y40(1,:);0*y40(1,:); y40];
y60 = [0*y60(1,:);0*y60(1,:); y60];

orient tall
subplot(2,2,1)
plot(time,y20(:,1),time,y40(:,1),'-.',time,y60(:,1),'--',time,y03(:,1))
xlabel('time [s]')
ylabel('a_y [m/s^2]')
legend('60 m/s','40 m/s','20 m/s','3 m/s',4)
axis([tmin tmax 0 8])
grid

subplot(2,2,3)
plot(time,y20(:,2)*180/pi,time,y40(:,2)*180/pi,'-.',time,y60(:,2)*180/pi,'--',time,y03(:,2)*180/pi)
xlabel('time [s]')
ylabel('r [deg./s]')
axis([tmin tmax 0 10])
grid

subplot(3,2,2)
plot(time,y20(:,3)*180/pi,time,y40(:,3)*180/pi,'-.',time,y60(:,3)*180/pi,'--',time,y03(:,3)*180/pi)
xlabel('time [s]')
ylabel('\beta [deg.]')
axis([tmin tmax -1 6])
grid

subplot(3,2,4)
plot(time,y20(:,4)*180/pi,time,y40(:,4)*180/pi,'-.',time,y60(:,4)*180/pi,'--',time,y03(:,4)*180/pi)
xlabel('time [s]')
ylabel('\alpha_1 [deg.]')
axis([tmin tmax -1 6])
grid

subplot(3,2,6)
plot(time,y20(:,5)*180/pi,time,y40(:,5)*180/pi,'-.',time,y60(:,5)*180/pi,'--',time,y03(:,5)*180/pi)
xlabel('time [s]')
ylabel('\alpha_2 [deg.]')
axis([tmin tmax -1 6])
grid

print -dpdf plot_step_response1_fig212
