clear all

tmin=-0.5;
tmax= 5;
t=[0:tmax/100:tmax];

m_us=car_data1;
m_ns=m_us; m_ns.a=1.5;
m_os=m_us; m_os.a=1.6;

V=30;
sys_car_us= car_state_space1(m_us,V);
sys_car_ns= car_state_space1(m_ns,V);
sys_car_os= car_state_space1(m_os,V);

[y_us,time]=step(sys_car_us,t);
[y_ns,time]=step(sys_car_ns,t);
[y_os,time]=step(sys_car_os,t);

time=[tmin ;-1e-5 ; time];
y_us = [0*y_us(1,:);0*y_us(1,:); y_us];
y_ns = [0*y_ns(1,:);0*y_ns(1,:); y_ns];
y_os = [0*y_os(1,:);0*y_os(1,:); y_os];


[yaw_gain, ay_gain, beta_gain, eta, Vc]=car_steady_state(m_us,V);
y_us=y_us*pi/180*(1+eta*V^2/(m_us.g*m_us.l));

y_ns=y_ns*pi/180;

[yaw_gain, ay_gain, beta_gain, eta, Vc]=car_steady_state(m_os,V);
y_os=y_os*pi/180*(1+eta*V^2/(m_os.g*m_os.l));

orient tall
subplot(2,2,1)
plot(time,y_us(:,1),time,y_ns(:,1),'--',time,y_os(:,1),'-.')
xlabel('time [s]')
ylabel('a_y [m/s^2]')
legend('US','NS','OS',4)
axis([tmin tmax 0 6])
grid

subplot(2,2,3)
plot(time,y_us(:,2)*180/pi,time,y_ns(:,2)*180/pi,'--',time,y_os(:,2)*180/pi,'-.')
xlabel('time [s]')
ylabel('r [deg./s]')
axis([tmin tmax 0 12])
grid

subplot(3,2,2)
plot(time,y_us(:,3)*180/pi,time,y_ns(:,3)*180/pi,'--',time,y_os(:,3)*180/pi,'-.')
xlabel('time [s]')
ylabel('\beta [deg.]')
axis([tmin tmax 0 5])
grid

subplot(3,2,4)
plot(time,y_us(:,4)*180/pi,time,y_ns(:,4)*180/pi,'--',time,y_os(:,4)*180/pi,'-.')
xlabel('time [s]')
ylabel('\alpha_1 [deg.]')
axis([tmin tmax 0 5])
grid

subplot(3,2,6)
plot(time,y_us(:,5)*180/pi,time,y_ns(:,5)*180/pi,'--',time,y_os(:,5)*180/pi,'-.')
xlabel('time [s]')
ylabel('\alpha_2 [deg.]')
axis([tmin tmax 0 5])
grid

print -dpdf plot_step_response2_fig213
