clear all

m=car_data1;

fmin=0.1;
fmax=5;
freq=[fmin:0.01:fmax];

sys_car60=car_state_space1(m,20);
sys_car40=car_state_space1(m,40);
sys_car20=car_state_space1(m,60);

[mag_20,phase_20]=bode(sys_car20,freq*2*pi);
[mag_40,phase_40]=bode(sys_car40,freq*2*pi);
[mag_60,phase_60]=bode(sys_car60,freq*2*pi);

orient tall
subplot(2,1,1)
loglog(freq,squeeze(mag_20(1,1,:)*pi/180),...
       freq,squeeze(mag_40(1,1,:)*pi/180),'--',...
       freq,squeeze(mag_60(1,1,:)*pi/180),'-.');
grid
title('lateral acceleration response to steer angle')
xlabel('frequency [Hz]')
ylabel('magnitude [ms^{-2} deg.^{-1}]')
legend('60 m/s','40 m/s','20 m/s',1)
axis([fmin fmax 0.1 10])

subplot(2,1,2)
semilogx(freq,squeeze(phase_20(1,1,:)),...
         freq,squeeze(phase_40(1,1,:)),'--',...
         freq,squeeze(phase_60(1,1,:)),'-.');
grid
axis([fmin fmax -150 30])
xlabel('frequency [Hz]')
ylabel('phase [deg.]')

print -dpdf plot_transfer_function_lat_fig214

figure
orient tall
subplot(2,1,1)
loglog(freq,squeeze(mag_20(2,1,:)),...
       freq,squeeze(mag_40(2,1,:)),'--',...
       freq,squeeze(mag_60(2,1,:)),'-.');
grid
axis([fmin fmax 1 20])
title('yaw velocity response to steer angle')
xlabel('frequency [Hz]')
ylabel('magnitude [1/s]')
legend('60 m/s','40 m/s','20 m/s',1)

subplot(2,1,2)
semilogx(freq,squeeze(phase_20(2,1,:)),...
         freq,squeeze(phase_40(2,1,:)),'--',...
         freq,squeeze(phase_60(2,1,:)),'-.');
grid
axis([fmin fmax -90 30])
xlabel('frequency [Hz]')
ylabel('phase [deg.]')

print -dpdf plot_transfer_function_yaw_fig215
