clear all

sigma=0.5;
C=1000;

time=[0:0.01:4];
u=0*time;idx=find(time>=1);u(idx)=1;

V=1;
sys_v01=tf({C},{[sigma/V 1]});
[y01,t01]=lsim(sys_v01,u,time);

time=[0:0.001:0.4];
u=0*time;idx=find(time>=0.1);u(idx)=1;

V=10;
sys_v10=tf({C},{[sigma/V 1]});
y10=lsim(sys_v10,u,time);

V=20;
sys_v20=tf({C},{[sigma/V 1]});
y20=lsim(sys_v20,u,time);

V=30;
sys_v30=tf({C},{[sigma/V 1]});
y30=lsim(sys_v30,u,time);

subplot(2,1,1)
plot(time-0.1,y30,'-',time-0.1,y20,'-.',time-0.1,y10,'--')
axis([-0.05 0.3 -200 1200])
grid
xlabel('time [s]')
ylabel('F_y [N]')
legend('30 m/s','20 m/s','10 m/s',4)

subplot(2,1,2)
plot(t01-1,y01,[0 0 0.5 3 0.5 0.5],[-200 0 1000 1000 1000 -200],':')
axis([-0.5 3 -200 1200])
grid
xlabel('travelled distance [m]')
ylabel('F_y [N]')

print -dpdf plot_tyre_relaxation_fig228
